std::istream_iterator::operator++,operator++(int)(3)

NAME
std::istream_iterator::operator++,operator++(int) - std::istream_iterator::operator++,operator++(int)

Synopsis
   istream_iterator& operator++(); (1)
   istream_iterator operator++(int); (2)
   Reads a value from the underlying stream and stores it into the iterator object. If
   the read fails, the iterator becomes the end-of-stream iterator.
   The behavior is undefined if the iterator is end-of-stream iterator.

Parameters
   (none)

Return value
   1) *this.
   2) An istream_iterator that holds an unchanged value.

Exceptions
   May throw implementation-defined exceptions.